
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用urllib2实现简单的网络爬虫1 / 憋错料</title>

    <meta name="description" content="用urllib2实现简单的网络爬虫1 玩python的同学都避免不了想写个爬虫玩玩,并且一般都以抓取XX图片为主,当然楼主也不例外~~ 这里先用比较原始的方式:urllib2 + 正则表达式,后面再尝试requests 背景:假设有个网站,是关于一些艺术家及其作品介绍的,登陆进去后,每一页是艺术家的头像和名字列表(由于艺术家很多,所以有很多页):  点击艺术家的头像或名字,就进入该艺术家的主页,主页上有该艺术家的详细介绍和作品列表(由于每个艺术家有很多作品,所有可能会有很多页):   点击其中一部作品,就进入该作品的详细介绍页面,包">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">用urllib2实现简单的网络爬虫1</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　玩python的同学都避免不了想写个爬虫玩玩，并且一般都以抓取XX图片为主，当然楼主也不例外~~</p>
<p>　　这里先用比较原始的方式：urllib2 + 正则表达式，后面再尝试requests</p>
<p>　　背景：假设有个网站，是关于一些艺术家及其作品介绍的，登陆进去后，每一页是艺术家的头像和名字列表（由于艺术家很多，所以有很多页）；</p>
<p>　　　　 &nbsp;点击艺术家的头像或名字，就进入该艺术家的主页，主页上有该艺术家的详细介绍和作品列表（由于每个艺术家有很多作品，所有可能会有很多页）；</p>
<p>　　　　&nbsp; 点击其中一部作品，就进入该作品的详细介绍页面，包括作品名（I）称（D），封面图像，内容截图。</p>
<p>目标：爬取每一个艺术家的信息和作品，首先建立以艺术家名字命名的文件夹，并将艺术家的信息存入info.txt文件，然后每一部作品创建一个文件夹（以作品名(I)称(D)命名），</p>
<p>　　　　&nbsp; 最后将作品的封面及内容截图保存到该文件夹内。</p>
<p>　　思路：1 进入艺术家列表页面，提取出该页面中所有艺术家的名字和其主页的URL，存入dict，key为艺术家名字，value为主页URL；</p>
<p>　　　　　2 遍历上一步的dict，先创建以艺术家名字命名的文件夹，然后进入艺术家的主页，获取艺术家的详细信息，写入info.txt文件；</p>
<p>　　　　　3 获取艺术家主页中所有作品的URL，保存在list中；</p>
<p>　　　　　4 遍历上一步的list，进入某一部作品的详细页面，获取该作品的名(I)称(D)，并创建以该名(I)称(D)命名的文件夹；</p>
<p>　　&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5 同时获取该作品的封面和内容截图的URL，保存在list中；</p>
<p>　　&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 6 遍历上一步的list，保存所有图片到本地文件夹中；</p>
<p>7 如果该艺术家有很多页作品，则进入一下页作品列表，重复步骤3-6；</p>
<p>8 该艺术家列表页面的所有艺术家都爬取后，进入下一页艺术家列表，重复步骤1-7.</p>
<p>　　根据上面的思路，先定义出所需要的类和方法：</p>
<p>　　</p>
<pre> 1 class Spider(object):
 2     def __init__(self, base_url, start_page, end_page, file_path, min_age=20, max_age=35, movie_cnt=50):
 3         """
 4         :param base_url: 艺术家列表主页的基地址
 5         :param start_page: 起始页面号
 6         :param end_page: 终止页面号,不包含此页面
 7         :param file_path: 文件保存本地路径
 8         :param min_age: 艺术家的最小年龄，小于此年龄的不抓取
 9         :param max_age: 艺术家的最大年龄，大于此年龄的不抓取
10         :param movie_cnt: 需要获取的每个艺术家的最大作品数
11         :return: none
12         """
13         pass
14
15     def get_current_page_actresses_url(self, page):
16         """
17         获取当前指定页面的所有演员名字和URL
18         :param page: 指定的页面号
19         :return: 一个dict, key为艺术家姓名，value为对应URL
20         """
21         pass
22
23     def mkdir_for_actress(self, name):
24         """
25         创建以艺术家名字命名的目录
26         :param name: 艺术家的名字
27         :return: 返回创建的目录路径
28         """
29         pass
30
31     def get_actress_info(self, path, data):
32         """
33         获取艺术家的基本信息，将其保存在info.txt文件中
34         :param path: 存放艺术家信息的目录，由mkdir_for_actress返回
35         :param data: 关于该艺术家作品列表的网页HTML
36         :return: 返回艺术家的年龄
37         """
38         pass
39
40     def has_next_page(self, data):
41         """
42         判断当前艺术家是否还有下一页作品
43         :param data: 关于该艺术家作品列表的网页HTML
44         :return: 如果存在下一页返回True，否则返回False
45         """
46         pass
47
48     def get_actress_movies(self, data):
49         """
50         在艺术家作品页面，获取所有作品列表的URL，保存在list中
51         :param data: 关于该艺术家作品列表的网页HTML
52         :return: 保存该艺术家当前页面作品URL的list
53         """
54         pass
55
56     def get_id_and_mkdir(self, path, data):
57         """
58         获取一部作品的ID，并创建以该ID为名称的文件夹
59         :param path: 新创建文件夹所在的目录，由mkdir_for_actress返回
60         :param data: 作品详细信息的网页HTML
61         :return: 返回所创建的文件夹路径
62         """
63         pass
64
65     def get_pictures(self, data):
66         """
67         获取一部作品封面和样品图片的URL
68         :param data: 作品详细信息的网页HTML
69         :return: 保存封面和样品图片URL的List
70         """
71         pass
72
73     def save_pictures(self, path, url_list):
74         """
75         保存图片到本地指定文件夹
76         :param path: 保存图片的文件夹，由get_id_and_mkdir返回
77         :param url_list: 待保存图片的url列表，由get_pictures返回
78         :return: none
79         """
80         pass
81
82     def start_spider(self):
83         """
84         启动爬虫程序，外部只调用该接口
85         :return: none
86         """
87         pass</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 20:38:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>用urllib2实现简单的网络爬虫1的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGpZ6Q0.html" rel="bookmark">基于Python的urllib2模块的多线程网络爬虫程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 m Queue import Queue 2 from gzip import GzipFile 3 from StringIO import StringIO 4 import time 5 import socket 6 class ContentEncodingProcessor(urllib2.BaseHandler): 7 &quot;&quot;&quot;A handler to add gzip capabilities to urllib2 requests &quot;&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MygqWE3.html" rel="bookmark">Python&colon;requests库、BeautifulSoup4库的基本使用（实现简单的网络爬虫）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python:requests库.BeautifulSoup4库的基本使用(实现简单的网络爬虫) 一.requests库的基本使用 requests是python语言编写的简单易用的HTTP库,使用起来比urllib更加简洁方便. requests是第三方库,使用前需要通过pip安装. pip install requests 1.基本用法: import requests #以百度首页为例 response = requests.get('http://www.baidu.com') #res			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/415GYg4.html" rel="bookmark">爬虫学习之一个简单的网络爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一个网络爬虫学习的技术分享,主要通过一些实际的案例对爬虫的原理进行分析,达到对爬虫有个基本的认识,并且能够根据自己的需要爬到想要的数据.有了数据后可以做数据分析或者通过其他方式重新结构化展示. 什么是网络爬虫 网络爬虫(又被称为网页蜘蛛,网络机器人,在FOAF社区中间,更经常的称为网页追逐者),是一种按照一定的规则,自动地抓取万维网信息的程序或者脚本.另外一些不常使用的名字还有蚂蚁.自动索引.模拟程序或者蠕虫.via 百度百科网络爬虫 网络蜘蛛(Web spider)也叫网络爬虫(Web c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jXkyg4.html" rel="bookmark">用Python写一个最简单的网络爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是网络爬虫?这是百度百科的解释: 网络爬虫(又被称为网页蜘蛛,网络机器人,在FOAF社区中间,更经常的称为网页追逐者),是一种按照一定的规则,自动的抓取万维网信息的程序或者脚本.另外一些不常使用的名字还有蚂蚁,自动索引,模拟程序或者蠕虫. 爬虫可以做什么?爬虫可以帮助我们在茫茫互联网中爬取我们需要的特定数据,这个特定数据可以是任何想获得的数据. 爬虫是一个让人热血的话题,因为当你在写爬虫的时候,你会感觉到自己是在做一件很NB的事,而每当写出一个爬虫,就会在此基础上不断尝试写出更NB的爬虫,有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEqa6XM.html" rel="bookmark">爬虫其实很简单！&mdash;&mdash;网络爬虫快速实现&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天我来带领大家一起学习编写一个网络爬虫!其实爬虫很简单,没有想象中那么难,也许所有学问都是这样,恐惧源自于无知.废话不多说,现在开始我们的爬虫之旅吧. 爬虫是什么? 我们时常听说编程大牛嘴边一直念叨着&quot;网络爬虫&quot;,那网络爬虫究竟是何方神圣呢? 网络爬虫能够模仿用户浏览网页,并将所想要的页面中的信息保存下来.有些同学不禁要问:&quot;我自己浏览网页,可以手动将数据保存下来啊,为何要写个程序去爬取数据呢?&quot;道理其实很简单,程序能够在短时间内访问成千上万的页面,并且在短时间内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgLRyN0.html" rel="bookmark">在python3中使用urllib&period;request编写简单的网络爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python官方提供了用于编写网络爬虫的包 urllib.request, 我们主要用它进行打开url,读取url里面的内容,下载里面的图片. 分以下几步: step1:用urllib.request.urlopen打开目标网站 step2:由于urllib.request.urlopen返回的是一个http.client.HTTPResponse object,无法直接读取里面的内容,所以直接调用该对象的方法read(),获取到页面代码,存到html里 step3:构建正则表达式,从页面代码里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mm7JBQ3.html" rel="bookmark">也写一个简单的网络爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引子 在cnblogs也混了许久,不过碍于平日工作太忙,一篇随笔也没有写过.最近经常感觉到自己曾经积累过的经验逐步的丢失,于是开通了博客,主要是记录一下自己在业余时间里玩的一些东西. 缘起 言归正传.某次在在某高校网站闲逛,看到了一些有趣的东西想要保存起来,但是却分散在各个页面,难以下手.使用baidu,google却有无法避免的搜索到此站点之外的内容.于是就想如果有一个爬虫,可以抓取指定域名的某些感兴趣的内容,不是很好.在网上简单搜索了一下,简单的都不满意,功能强大的又太复杂,就想自己写一个.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vXyJaM.html" rel="bookmark">简单的网络爬虫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				import java.io.BufferedReader; import java.io.InputStreamReader; import java.net.URL; import java.net.URLConnection; import java.util.regex.Matcher; import java.util.regex.Pattern; public class RegexWeb { /** * 网页爬虫 */ public static void main(String[			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/W0jx5V4.html" rel="bookmark">简单的网络爬虫，下载GitHub的头像</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于Web Magic的一个爬虫框架(https://github.com/code4craft/webmagic)开发的,可以下载github的用户的头像. 使用Apache的HttpClient对页面进行请求,用JSoup对下载来的html文档进行过滤找到合适的图片链接,再发送一次HttpRequest去下载图片并保存到本地. 1 package webcrawler.webcrawler; 2 import java.awt.im.InputContext; 3 import java.i			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oa72oM.html" rel="bookmark" class="title">【java】java&period;util&period;Arrays类常用方法</a>
					<div>
						1 package Arrays类; 2 3 import java.util.Arrays; 4 5 public class TestArrays { 6 public static void m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bY27LM.html" rel="bookmark" class="title">Spring Boot之简单的MVC</a>
					<div>
						最近开始看Spring Boot,发现其开发起来真是方便.今天就来实现一个简单的Spring MVC 请求,纯Java代码的哦. 1.Maven必不可少,先看看都加载了那些依赖: &lt;?xml v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDBRnM.html" rel="bookmark" class="title">C&plus;&plus;Builder6优化</a>
					<div>
						C++Builder6历经多年,仍然是最好用的工具,真正的可视化,即所见即所得,强大.易用.方便. 1. 编译优化 (1) 下拉菜单Project,选Options弹出对话框,选Compiler页,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKvxj3.html" rel="bookmark" class="title">Android 中的Canvas画图</a>
					<div>
						Android中有一个Canvas类,Canvas类就是表示一块画布,你可以在上面画你想画的东西.当然,你还可以设置画布的属性,如画布的颜色/尺寸等.Canvas提供了如下一些方法: Canvas() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A6PmDM.html" rel="bookmark" class="title">OC－－内存管理</a>
					<div>
						------------内存管理--------------- 内存管理分类:ARC(自动内存管理) 和MRC (手动内存管理) ARC:内存管理的事情有系统来做 MRC: 内存管理的事情由程序员来做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGaGRG3.html" rel="bookmark" class="title">史上最全的iOS面试题及答案</a>
					<div>
						1.写一个NSString类的实现 + (id)initWithCString:(c*****t char *)nullTerminatedCString encoding:(NSStringEnco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6b2VXM.html" rel="bookmark" class="title">Java近似圆</a>
					<div>
						效果图与原理图                               代码: 1 public class Circle 2 { 3 public static void main(String ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWqen4.html" rel="bookmark" class="title">gulp 构建工具</a>
					<div>
						1. gulp 的简介 gulp是前端开发过程中对代码进行构建的工具,是自动化项目的构建利器:她不仅能对网站资源进行优化,而且在开发过程中很多重复的任务能够使用正确的工具自动完成:使用她,我们不仅可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4781OkM.html" rel="bookmark" class="title">概率图模型（PGM）学习笔记（三）模式判断与概率图流</a>
					<div>
						我们依旧使用&quot;学生网络&quot;作为样例,如图1. 图1 首先给出因果判断(Causal Reasoning)的直觉解释. 能够算出来 即学生获得好的推荐信的概率大约是0.5. 但假设我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZqpn4.html" rel="bookmark" class="title">maven学习笔记五&lpar;仓库搭建&comma;私服配置&rpar;</a>
					<div>
						实际项目中,我们往往都是多人开发,这个时候,假如一个项目有300多M.用的jar包有100多个.只要项目组来一个人就从中央仓库下载依赖的jar,这种下载一般都需要持续很久.而且中央仓库一般都是配置在外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNL164.html" rel="bookmark" class="title">cf&num;263 div2 解题报告</a>
					<div>
						A:要求是否全部的字符都挨着偶数个'o',要读题啊....各种读错题... #include &lt;cstdio&gt; using namespace std; char maz[101][101 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVzOYwM.html" rel="bookmark" class="title">简单代码在ABAP中实现声音的播放</a>
					<div>
						这段代码的功能是在SAP里面实现声音的播放,可以用作程序提醒功能,和SAP里面’噹噹噹’那个声音的意思差不多.将来在项目中遇到客户想要SAP ABAP发出一点声音的时候就可以参考一下这个程序. REP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLdg23.html" rel="bookmark" class="title">&lbrack;shell练习&rsqb;&mdash;&mdash;awk练习题</a>
					<div>
						1. sed和awk有什么区别? (1)awk:按列(域)操作:sed:按行操作(2)awk:文本处理语言,适合对文本进行抽取处理:sed:非交互式的编辑器,适合对文本进行编辑 2. awk要处理域的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zAkoM.html" rel="bookmark" class="title">Json 、 Jsonp</a>
					<div>
						SONP is simply a hack to allow web apps to retrieve data across domains. It could be said that it vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqDVb3.html" rel="bookmark" class="title">lvm相关命令学习</a>
					<div>
						基础环境 1.当前版本 cat /etc/debian_version 7.8 2.安装包lvm2 apt-get install lvm2 一.将sdb sdc sdd三块分区加到卷组(hadoop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLG5g4.html" rel="bookmark" class="title">域名管理</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oyoq7M.html" rel="bookmark" class="title">【从头开始写操作系统系列】一致代码段与非一致代码段</a>
					<div>
						上几篇文章,我们一直在讨论的都是 GDT 相关的一些问题,现在我们知道在系统在从实模式向保护模式跳转时,GDT 是必须要准备的结构.在介绍这一跳转之前,这篇文章我们来介绍两个概念:一致代码段和非一致代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49k6LD0.html" rel="bookmark" class="title">Fiddler 高级用法：Fiddler Script 与 HTTP 断点调试</a>
					<div>
						之前在&lt;关于 WEB/HTTP 调试利器 Fiddler 的一些技巧分享&gt;中系统的介绍过 Fiddler 的原理与一些常见技巧,但那篇文章只是入门科普,并不深入,今天要介绍到的内容相对更加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDNOPK3.html" rel="bookmark" class="title">在64位环境下Java连接Access2010的问题与解决</a>
					<div>
						整理下思路,包括出现的问题及解决方案 Java连接Access的方法 1 ODBC桥接方法,就是在控制面板&quot;ODBC数据源(32位或64位)&quot;那里设置DSN,百度一下,一大堆设置方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02XoDR4.html" rel="bookmark" class="title">Linux 查看CPU信息、机器型号等硬件信息&lbrack;转&rsqb;</a>
					<div>
						查看CPU信息(型号) # cat /proc/cpuinfo | grep name | cut -f2 -d: | uniq -c       8  Intel(R) Xeon(R) CPU    ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
